The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages expected in November 2026. We hope you enjoy the updated experience.

Assign Multiple Licenses

Prev Next

This URL assigns multiple licenses to the device.

Resource URL

POST /license/assignMultiLicense

Request Parameters

URL Parameters: None

Payload Request Parameters:

Field Name

Description

Data Type

Mandatory

licenseId

License id

String

Yes

grantIndex

Grant Index of the license

Number

Yes

grantId

Grant id of the license

String

Yes

sensorId

Sensor id to be associated with license

String

Yes

Response Parameters

Following fields are returned.

Field Name

Description

Data Type

success

Success status (true or false)

Boolean

msg

Message

String

errMsg

Error message

String

data

Data

String

errorCode

Error code

Number

Example

Request

PUT https://<NSM_IP>/sdkapi/license/unassignMultiLicense

Payload

[{"licenseId":"19112024-TLX-010000","grantIndex":1,"grantId":"260620231-TLX"},
{"licenseId":"19112024-TLX-010004","grantIndex":1,"grantId":"260620231-TLX"},
{"licenseId":"19112024-TLX-010003","grantIndex":1,"grantId":"260620231-TLX"},
{"licenseId":"19112024-TLX-010002","grantIndex":1,"grantId":"260620231-TLX"},
{"licenseId":"19112024-TLX-010005","grantIndex":1,"grantId":"260620231-TLX"}]

Response

{
    "success": true,
    "msg": null,
    "errMsg": null,
    "data": null,
    "errorCode": 0
}

Error Information

Following error codes are returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

500

1001

Internal error

2

500

1001

License <licenseId> cannot be assigned to the Sensor <sensorId>